Bug 189015 - AlBook trackpad doesn't work during install
AlBook trackpad doesn't work during install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
OldNeedsRetesting bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 15:01 EDT by Robert Story
Modified: 2008-05-06 11:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:47:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf after install/first boot (2.80 KB, application/octet-stream)
2006-04-17 13:56 EDT, Robert Story
no flags Details
xorg.conf after install/first boot (2.80 KB, application/octet-stream)
2006-04-17 17:35 EDT, Robert Story
no flags Details

  None (edit)
Description Robert Story 2006-04-14 15:01:27 EDT
Description of problem:
Installed fc5 on AlBook 15" (PowerBook5,6), and the trackpad did not work during
install.

Version-Release number of selected component (if applicable):
FC5 ppc dvd


How reproducible:
dunno, didn't try to re-install

Steps to Reproduce:
1. boot gui install
2. try to use trackpad
3.
  
Actual results:
trackpad doesn't work

Expected results:
trackpad works

Additional info:
trackpad worked in firstboot/X after install.
Comment 1 Paul Nasrat 2006-04-14 15:13:53 EDT
Can you attach your xorg.conf from after install.
Comment 2 Frank Arnold 2006-04-15 04:11:26 EDT
The appletouch module is needed in order to get the trackpad working. I guess
the install kernel doesn't have it.
Comment 3 Robert Story 2006-04-17 13:56:32 EDT
Created attachment 127818 [details]
xorg.conf after install/first boot

xorg.conf, as requested
Comment 4 Robert Story 2006-04-17 17:35:43 EDT
Created attachment 127897 [details]
xorg.conf after install/first boot

xorg.conf, as requested
Comment 5 Jeremy Katz 2006-04-19 11:13:52 EDT
We should probably build in the appletouch module instead of having it be modular.
Comment 6 Jon Masters 2006-04-19 11:22:59 EDT
I thought this bug was known about already? I had the same problem on a 12" PB a
few weeks back.
Comment 7 David Woodhouse 2006-04-19 11:26:45 EDT
module is better -- especially until the bug with suspend/resume gets fixed :)
Comment 8 Dave Jones 2006-10-16 16:53:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Frank Arnold 2006-10-30 05:29:29 EST
Still the case with FC6. I wonder if/how it's working on MacBooks.
BTW: My PowerBook5,6 suspends and resumes fine with rawhide.

And now Dave, get your foot out of my ass... JK
Comment 10 David Woodhouse 2006-10-30 05:55:08 EST
(In reply to comment #9)
> And now Dave, get your foot out of my ass... JK

Que?
Comment 11 Frank Arnold 2006-10-30 06:54:30 EST
(In reply to comment #10)
> > And now Dave, get your foot out of my ass... JK
> 
> Que?

Just for clarification in case someone reads this in ten years :)
Dave blogged yesterday: "... Hopefully it'll be the second kick up the arse that
some testers need to actually try the update."
Comment 12 Jon Stanley 2008-03-31 14:31:25 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 13 Bug Zapper 2008-04-03 22:38:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 11:47:25 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.